#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire2two7004xi.py">
#<abstract4xi abstract = "fires to direction two and to distance 700"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2two7004xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
# -------------------------------------------------------------------------------------------------
# SHOT2TWO - COORDINATE SIGNS OF SHOOT2TWO4XI: (X + ,Y - ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2two7004xi
#"
#/>

#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

# -------------------------------------------------------------------------------------------------
# 700
# -------------------------------------------------------------------------------------------------
shot2two7004xi = {
        1:'0x0y-699z',
        2:'113x-323y-610z',
        3:'116x-423y-545z',
        4:'127x-311y-613z',
        5:'12x-304y-630z',
        6:'133x-685y-42z',
        7:'136x-411y-549z',
        8:'141x-298y-617z',
        9:'153x-285y-620z',
        10:'155x-398y-553z',
        11:'165x-271y-623z',
        12:'169x-677y-49z',
        13:'174x-384y-558z',
        14:'175x-257y-626z',
        15:'185x-242y-629z',
        16:'191x-370y-562z',
        17:'193x-227y-632z',
        18:'194x-5y-672z',
        19:'200x-16y-670z',
        20:'200x-212y-635z',
        21:'204x-667y-56z',
        22:'205x-27y-668z',
        23:'207x-197y-638z',
        24:'207x-354y-566z',
        25:'210x-39y-666z',
        26:'212x-182y-641z',
        27:'214x-52y-664z',
        28:'216x-167y-644z',
        29:'218x-65y-661z',
        30:'219x-151y-647z',
        31:'220x-78y-659z',
        32:'221x-136y-649z',
        33:'222x-121y-652z',
        34:'222x-338y-570z',
        35:'222x-92y-657z',
        36:'223x-107y-654z',
        37:'236x-322y-574z',
        38:'238x-654y-63z',
        39:'249x-304y-578z',
        40:'24x-699y-21z',
        41:'261x-287y-582z',
        42:'26x-459y-527z',
        43:'271x-268y-586z',
        44:'272x-640y-70z',
        45:'27x-296y-633z',
        46:'281x-250y-590z',
        47:'289x-231y-593z',
        48:'28x-371y-592z',
        49:'296x-13y-633z',
        50:'296x-212y-597z',
        51:'2x-465y-522z',
        52:'301x-193y-601z',
        53:'301x-29y-630z',
        54:'305x-46y-627z',
        55:'305x-625y-77z',
        56:'306x-174y-604z',
        57:'309x-155y-608z',
        58:'309x-63y-624z',
        59:'311x-136y-611z',
        60:'311x-81y-621z',
        61:'312x-118y-614z',
        62:'312x-99y-618z',
        63:'328x-618y0z',
        64:'337x-607y-84z',
        65:'360x-599y-6z',
        66:'368x-588y-91z',
        67:'391x-580y-13z',
        68:'397x-567y-98z',
        69:'421x-558y-20z',
        70:'426x-545y-105z',
        71:'42x-288y-636z',
        72:'449x-535y-27z',
        73:'453x-521y-112z',
        74:'46x-363y-596z',
        75:'476x-511y-34z',
        76:'479x-495y-119z',
        77:'502x-485y-41z',
        78:'503x-469y-126z',
        79:'50x-452y-531z',
        80:'526x-441y-132z',
        81:'527x-458y-48z',
        82:'548x-412y-139z',
        83:'549x-429y-55z',
        84:'567x-382y-146z',
        85:'56x-279y-639z',
        86:'571x-399y-62z',
        87:'585x-351y-153z',
        88:'590x-369y-69z',
        89:'601x-319y-160z',
        90:'608x-337y-76z',
        91:'616x-286y-167z',
        92:'61x-696y-28z',
        93:'624x-304y-83z',
        94:'628x-253y-173z',
        95:'638x-271y-90z',
        96:'639x-219y-180z',
        97:'648x-185y-187z',
        98:'64x-354y-599z',
        99:'651x-237y-97z',
        100:'655x-150y-194z',
        101:'660x-116y-200z',
        102:'661x-202y-104z',
        103:'663x-81y-207z',
        104:'664x-11y-220z',
        105:'664x-46y-214z',
        106:'670x-167y-111z',
        107:'676x-181y-1z',
        108:'677x-131y-117z',
        109:'682x-95y-124z',
        110:'684x-145y-8z',
        111:'684x-59y-131z',
        112:'685x-23y-138z',
        113:'691x-109y-15z',
        114:'695x-73y-22z',
        115:'698x-36y-29z',
        116:'69x-270y-642z',
        117:'72x-443y-536z',
        118:'81x-345y-603z',
        119:'8x-378y-588z',
        120:'93x-297y-736z',
        121:'94x-434y-540z',
        122:'97x-692y-35z',
        123:'98x-334y-606z'}
        
        
#"
#"/>

        
# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire700two4xi" usage = "target function for chargeone4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire700two4xi(queue2two, consumer_channel2two, publisher_channel2two):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE700TWO4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE700TWO4XI -  QUEUE2TWO: ", queue2two)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE700TWO4XI -  CONSUMER_CHANNEL2TWO: ", consumer_channel2two)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE700TWO4XI -  PUBLISHER_CHANNEL2TWO: ", publisher_channel2two)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE700TWO4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2two.put(shot2two7004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE700TWO4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE700TWO4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE700TWO4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2two8shot2two7004xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2two8shot2two7004xi</nack2put4xi>" 
            
        publisher_channel2two.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE700TWO4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE700TWO4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE700TWO4XI - RETURNING QUEUE OBJECT QUEUE2TWO: ", queue2two, " - TIME: ", time4xi())  
        # 
            
    return queue2two    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verbkb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire2two7004xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
        